VirtualBox Main API

Public Attributes | List of all members
IHostDrive Interface Reference

The IHostDrive interface represents the drive of the physical machine. More...

Inheritance diagram for IHostDrive:

## Public Attributes
readonly attribute wstring | drivePath
| The path of the drive.
readonly attribute PartitioningType | partitioningType
| The scheme of the partitions the disk has.
readonly attribute wstringUUID | uuid
| The GUID of the disk.
readonly attribute unsigned long | sectorSize
| The size of the sector in bytes.
readonly attribute long long | size
| The size of the disk in bytes.
readonly attribute wstring | model
| The model string of the drive if available.
readonly attribute IHostDrivePartition[] | partitions
| List of partitions available on the host drive.

## Detailed Description

The IHostDrive interface represents the drive of the physical machine.

It is not a complete medium description and, therefore, it is not IMedium based. The interface is used to get information about a host drive and its partitioning.

Note
  The object operates in limited mode if the user cannot open the drive and parse the partition table. In limited mode on the IHostDrive::drivePath and IHostDrive::model attributes can be accessed, the rest will fail with E_ACCESSDENIED.

Interface ID:
  `{70E2E0C3-332C-4D72-B822-2DB16E2CB31B}`

## Member Data Documentation

## ◆ drivePath

readonly attribute wstring IHostDrive::drivePath

The path of the drive.

Platform dependent.

## ◆ partitioningType

readonly attribute PartitioningType IHostDrive::partitioningType

The scheme of the partitions the disk has.

## ◆ uuid

readonly attribute wstringUUID IHostDrive::uuid

The GUID of the disk.

## ◆ sectorSize

readonly attribute unsigned long IHostDrive::sectorSize

The size of the sector in bytes.

## ◆ size

readonly attribute long long IHostDrive::size

The size of the disk in bytes.

## ◆ model

readonly attribute wstring IHostDrive::model

The model string of the drive if available.

## ◆ partitions

readonly attribute IHostDrivePartition [] IHostDrive::partitions

List of partitions available on the host drive.